%define name	netscape-navigator
%define ver	4.77
%define myver	477
#define	bldver	%{ver}.20030814
%define rel	3ml
%define	serial	2003081401

Summary: The Netscape Navigator Web browser.
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Group:		X11/Applications
License:	Mozilla/Commercial (distributable)
URL:		http://www.netscape.com/

Source0: ftp://ftp.netscape.com.au/pub/communicator/english/%{ver}/unix/supported/linux22/navigator_standalone/navigator-v%{myver}-us.x86-unknown-linux2.2.tar.gz
Source1: netscape-navigator.wmconfig

# Resource file
Source10: netscape-%{ver}-ja_JP.eucJP.ad
Source11: netscape-%{ver}-ko_KR.eucKR.ad
Source12: netscape-%{ver}-zh_CN.gb.ad
Source13: netscape-%{ver}-zh_TW.big5.ad

# Help menu items
Source20: netscape-ja.cfg
Source21: netscape-ko.cfg

# Java font properties file
Source30: netscape-4.73-font.properties.ja.fixed
Source31: netscape-4.61-font.properties.zh

#NoSource: 0

Serial: %{serial}
Prefix: /usr
Provides: wwwclient, netscape
Obsoletes: netscape
AutoReqProv: no
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: netscape-common, alias-japanese-fonts

%description

Netscape Navigator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.
This version contains 128bit encryption.

This will install the basic Netscape Navigator Web browser.
If you want additional features, such as the Usenet news reader and
HTML editor, you should install the netscape-communicator package.

%changelog
* Thu Aug 14 2003 Atsushi GOEBUCHI <goebuchi@miraclelinux.com>
- 3ml
- remove flash plug-in

* Sun Apr 6 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified korean resource file.

* Wed Apr  4 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to version 4.77
- added zh_CN.gb, zh_TW.big5, ko_KR.eucKR resources.

* Sat Nov 25 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- modified netscape-ja.cfg
* Thu Oct 26 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 4.76.

* Wed Jul 26 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 4.74.
- Added netscape-navigator.wmconfig

* Fri May 26 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified font.properties.ja for alias-japanese-fonts.

* Mon May 22 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to Navigator 4.73.

* Tue May 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Describe package dependency. (libstdc++, alias-japanese-fonts)

* Fri Mar 17 2000 Masaru Yokoi <masaru@turbolinux.co.jp
- Added Japanese bookmark and help menu.

* Tue Mar 14 2000 Go Taniguchi <go@turbolinux.co.jp>
- first release for TurboLinuxJ

%prep
%setup -q -n navigator-v%{myver}.x86-unknown-linux2.2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/navigator/plugins
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/navigator/java/classes
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/navigator/ja
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/navigator/ko
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/navigator/zh_CN.GBK
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/navigator/zh_TW.Big5

for I in *.nif; do
	tar -C $RPM_BUILD_ROOT/usr/lib/netscape/navigator -zxf $I
done

cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape/navigator
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/navigator/java/classes

vregtemp=tmp.vreg
echo 'Navigator,%{bldver},/usr/lib/netscape/navigator' > $vregtemp
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/navigator/registry $vregtemp
rm -f $vregtemp

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/navigator/{LICENSE,README} .
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf netscape $RPM_BUILD_ROOT/usr/bin/netscape-navigator

# Each language resource
install -m644 %{SOURCE10} $RPM_BUILD_ROOT/usr/lib/netscape/navigator/ja/Netscape.ad
install -m644 %{SOURCE11} $RPM_BUILD_ROOT/usr/lib/netscape/navigator/ko/Netscape.ad
install -m644 %{SOURCE12} $RPM_BUILD_ROOT/usr/lib/netscape/navigator/zh_CN.GBK/Netscape.ad
install -m644 %{SOURCE13} $RPM_BUILD_ROOT/usr/lib/netscape/navigator/zh_TW.Big5/Netscape.ad

# Japanese nethelp
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults
install -m644 %{SOURCE20} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/netscape.cfg
install -m644 %{SOURCE21} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults/netscape.cfg

cp -f %{SOURCE30} $RPM_BUILD_ROOT/usr/lib/netscape/navigator/java/classes/font.properties.ja
cp -f %{SOURCE31} $RPM_BUILD_ROOT/usr/lib/netscape/navigator/java/classes/font.properties.zh

# wmconfig
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/netscape-navigator

#
# remove flash plug-in
#

rm -f $RPM_BUILD_ROOT/usr/lib/netscape/navigator/plugins/*[Ff]lash*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%docdir /usr/lib/netscape/navigator/nethelp
%doc README LICENSE
/usr/lib/netscape/navigator
/usr/bin/netscape-navigator
/usr/X11R6/lib/X11/ja_JP.eucJP/app-defaults/netscape.cfg
/usr/X11R6/lib/X11/ko_KR.eucKR/app-defaults/netscape.cfg
/etc/X11/wmconfig/netscape-navigator
